Bug 427905 - replace XMLRPC function addComponent with Component.create()
replace XMLRPC function addComponent with Component.create()
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
3.2
All Linux
high Severity medium (vote)
: ---
: ---
Assigned To: Noura El hawary
:
Depends On:
Blocks: RHBZ30UpgradeTracker 406131 427053
  Show dependency treegraph
 
Reported: 2008-01-07 21:03 EST by Noura El hawary
Modified: 2013-06-24 00:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-18 16:38:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
v1 for function Bugzilla::WebService::Component::create() (11.21 KB, patch)
2008-02-26 08:37 EST, Noura El hawary
no flags Details | Diff
v1 for function Bugzilla::WebService::Component::create() (7.47 KB, patch)
2008-02-26 08:40 EST, Noura El hawary
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 419568 None None None Never

  None (edit)
Description Noura El hawary 2008-01-07 21:03:19 EST
write xmlrpc function addComponent that is to be contributed to the upstream.
Please refer to the following url for details on Bugzilla::RPC 2.18 functions mapped to upstream Bugzilla::WebService and for 2.18 xmlrpc functions sorted by percentage of calls: https://engineering.redhat.com/trac/bugzilla-3.0-rh/wiki/XmlrpcCrossComparison#a2.18xmlrpcfunctionssortedbypercentageofcalls
Comment 1 Noura El hawary 2008-02-26 08:37:45 EST
Created attachment 295904 [details]
v1 for function Bugzilla::WebService::Component::create()

submitted patch upstream for review
Comment 2 Noura El hawary 2008-02-26 08:38:55 EST
worked 5 hours
Comment 3 Noura El hawary 2008-02-26 08:40:41 EST
Created attachment 295905 [details]
v1 for function Bugzilla::WebService::Component::create()

submitted wrong patch at first, here is the new patch
Comment 4 David Lawrence 2008-03-18 16:33:42 EDT
This feature is included now in Milestone 2. Any bugs found with this feature
should be file as a new report and set to block the 3.2 final release tracker.

Note You need to log in before you can comment on or make changes to this bug.